GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Get Ticker

REST APIsTradingMarket DataGet Ticker

Get Ticker

GEThttps://api.gemini.com/v1/pubticker/{symbol}

This endpoint retrieves information about recent trading activity for the symbol.

Note

We recommend using Version 2 to retrieve recent ticker activity.

GETv1/pubticker/BTCUSD
curl --request GET \
  --url https://api.gemini.com/v1/pubticker/BTCUSD

Path Parameters

symbolstring·required
Trading pair symbol BTCUSD, etc. See symbols and minimums.

Responses

The current ticker for the symbol

bidnumber (decimal)
The highest bid currently availableExample: 977.59
asknumber (decimal)
The lowest ask currently availableExample: 977.35
lastnumber (decimal)
The price of the last executed tradeExample: 977.65
volumeobject
Information about the 24 hour volume on the exchange. See properties below
volume.timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
volume.price_symbolnumber (decimal)
The volume denominated in the price currencyExample: 2210.505328803
volume.quantity_symbolnumber (decimal)
The volume denominated in the quantity currencyExample: 2135477.463379586263
Example Responses
{
  "bid": "977.59",
  "ask": "977.35",
  "last": "977.65",
  "volume": {
    "BTC": "2210.505328803",
    "USD": "2135477.463379586263",
    "timestamp": 1483018200000
  }
}
PreviousGet Symbol DetailsNextList Candles
Last modified on May 5, 2026